# Klasse RegexBasedEvaluator

java.lang.Object
org.apache.ant.props.RegexBasedEvaluator

Alle implementierten Schnittstellen:
  `org.apache.tools.ant.PropertyHelper.Delegate, org.apache.tools.ant.PropertyHelper.PropertyEvaluator`

Bekannte direkte Unterklassen:
  `ComponentTypeEvaluator, ConditionTypeEvaluator, DefaultValue, LogicalOperationEvaluator, PatternOperation, PrefixedEvaluator, RequireProperty, SetDefaultValue, Substring, Translate`

public abstract class RegexBasedEvaluator extends Object implements org.apache.tools.ant.PropertyHelper.PropertyEvaluator
`PropertyHelper.PropertyEvaluator` based on a regex pattern that will produce match groups to be dealt with by `evaluate(String[], PropertyHelper)`.

## Konstruktorübersicht

Konstruktoren
Modifikator
Konstruktor
Beschreibung
`protected`
`RegexBasedEvaluator()`
Create a new RegexBasedEvaluator.
`protected`
`RegexBasedEvaluator(String pattern)`
Construct a new RegexBasedEvaluator.

## Methodenübersicht

Modifikator und Typ
Methode
Beschreibung
`protected void`
`addOption(int option)`
Add a matcher option.
`protected abstract Object`
`evaluate(String[] groups, org.apache.tools.ant.PropertyHelper propertyHelper)`
Evaluate the matched groups.
`Object`
`evaluate(String propertyName, org.apache.tools.ant.PropertyHelper propertyHelper)`
`String`
`getPattern()`
Get the String pattern.
`protected org.apache.tools.ant.types.RegularExpression`
`getRegularExpression()`
Get the regular expression object to use.
`void`
`setPattern(String pattern)`
Set the String pattern.

### Von Klasse geerbte Methoden Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### RegexBasedEvaluator

protected RegexBasedEvaluator()
Create a new RegexBasedEvaluator.

### RegexBasedEvaluator

protected RegexBasedEvaluator(String pattern)
Construct a new RegexBasedEvaluator.

Parameter:
  `pattern` - the base pattern.

## Methodendetails

### addOption

protected void addOption(int option)
Add a matcher option.

Parameter:
  `option` - to add

### evaluate

public Object evaluate(String propertyName, org.apache.tools.ant.PropertyHelper propertyHelper)

Angegeben von:
  `evaluate` in Schnittstelle `org.apache.tools.ant.PropertyHelper.PropertyEvaluator`

### getRegularExpression

protected org.apache.tools.ant.types.RegularExpression getRegularExpression()
Get the regular expression object to use.

Gibt zurück:
  the regexp

### evaluate

protected abstract Object evaluate(String[] groups, org.apache.tools.ant.PropertyHelper propertyHelper)
Evaluate the matched groups.

Parameter:
  `groups` - the matches from the base regex.
  `propertyHelper` - the calling PropertyHelper.

### getPattern

public String getPattern()
Get the String pattern.

Gibt zurück:
  String

### setPattern

public void setPattern(String pattern)
Set the String pattern.

Parameter:
  `pattern` - String